function F = CutOffFilter2D(N_cut,frac)

%

Globals2D;

filterdiag = ones(N_p,1);

temp = 1;
for i = 0:N
    for j = 0:(N - i)
        if (i + j >= N_cut)
            filterdiag(temp) = frac;
        end
    temp = temp + 1;
    end
end

F = V*diag(filterdiag)*invV;

end